%global srcname webcolors

Summary:        A library for working with HTML and CSS color names and value formats
Name:           python-%{srcname}
Version:        1.12
Release:        3%{?dist}
License:        BSD
URL:            https://github.com/ubernostrum/webcolors
Source0:        %pypi_source

BuildRequires:  make
BuildRequires:  python3-devel %{py3_dist nose} %{py3_dist setuptools}
BuildRequires:  %{py3_dist sphinx} %{py3_dist sphinx_rtd_theme}

BuildArch:      noarch


%description 
This package provides a module for working with HTML/CSS color definitions.

Support is included for normalizing and converting between the following formats (RGB colorspace 
only; conversion to/from HSL can be handled by the colorsys module in the Python standard library):
 * Specification-defined color names
 * Six-digit hexadecimal
 * Three-digit hexadecimal
 * Integer rgb() triplet
 * Percentage rgb() triplet


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} 
This package provides a module for working with HTML/CSS color definitions.

Support is included for normalizing and converting between the following formats (RGB colorspace 
only; conversion to/from HSL can be handled by the colorsys module in the Python standard library):
* Specification-defined color names
* Six-digit hexadecimal
* Three-digit hexadecimal
* Integer rgb() triplet
* Percentage rgb() triplet


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build
make -C docs html


%install
%py3_install


%check
nosetests-%{python3_version}


%files -n python3-%{srcname}
%license LICENSE
%doc PKG-INFO README.rst
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{srcname}*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.12-2
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Apr 14 2023 Wang Guodong <gordonwwang@tencent.com> - 1.12-1
- initial build
